Package jakarta.el

# Class PropertyNotWritableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.el.ELException
jakarta.el.PropertyNotWritableException

All Implemented Interfaces:
  `Serializable`

public class PropertyNotWritableException extends ELException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PropertyNotWritableException()`
`PropertyNotWritableException(String message)`
`PropertyNotWritableException(String message, Throwable cause)`
`PropertyNotWritableException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyNotWritableException

public PropertyNotWritableException()

### PropertyNotWritableException

public PropertyNotWritableException(String message)

### PropertyNotWritableException

public PropertyNotWritableException(Throwable cause)

### PropertyNotWritableException

public PropertyNotWritableException(String message, Throwable cause)